Reordenar los stages del blueprint
curl --request POST \
--url https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/stages:reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"stageIds": [
"0f44f6d1-f466-4367-bf25-37ce49b0d9c8",
"1272c8b5-8426-41c8-a42b-607d0131800a",
"b0d32725-47cc-43b3-b415-1304ca4f9e24"
],
"startingStageName": "welcome"
}
'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/stages:reorder"
payload = {
"stageIds": ["0f44f6d1-f466-4367-bf25-37ce49b0d9c8", "1272c8b5-8426-41c8-a42b-607d0131800a", "b0d32725-47cc-43b3-b415-1304ca4f9e24"],
"startingStageName": "welcome"
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
stageIds: [
'0f44f6d1-f466-4367-bf25-37ce49b0d9c8',
'1272c8b5-8426-41c8-a42b-607d0131800a',
'b0d32725-47cc-43b3-b415-1304ca4f9e24'
],
startingStageName: 'welcome'
})
};
fetch('https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/stages:reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blueprintId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"goalPrompt": "<string>",
"promptInstructions": [],
"order": 123,
"triggers": [],
"contentHash": "<string>",
"variables": [],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"metadata": {}
}
],
"meta": {
"total": 123,
"page": 123,
"limit": 123,
"hasNext": true,
"hasPrevious": true
}
}{
"code": "INVALID_ORDER",
"message": "Todos los stageIds deben existir y ser únicos"
}{
"code": "BLUEPRINT_NOT_FOUND",
"message": "No fue posible localizar un blueprint editable para el agente"
}Agent Stages
Reordenar los stages del blueprint
Actualiza el orden de los stages dentro del blueprint y define el stage inicial (opcional).
El nuevo orden se aplica de forma atómica y devuelve la lista resultante para mantener
el editor sincronizado. Después del cambio se publica BlueprintStageReordered y el
job StagesSyncJob recalcula el payload para el proveedor.
POST
/
v1
/
agents
/
{agentId}
/
stages:reorder
Reordenar los stages del blueprint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identificador del workspace multi-tenant.
Path Parameters
Identificador del agente
Body
application/json
⌘I
